services:
  mysql:
    image: mysql:8.0
    container_name: excursions_mysql
    restart: unless-stopped
    environment:
      MYSQL_ROOT_PASSWORD: rootpass
      MYSQL_DATABASE: excursions_avi
      MYSQL_USER: excursions_user
      MYSQL_PASSWORD: excursions_pass
    ports:
      - "3306:3306"
    volumes:
      - mysql_data:/var/lib/mysql
      - ./mysql/init:/docker-entrypoint-initdb.d

  adminer:
    image: adminer:latest
    container_name: excursions_adminer
    restart: unless-stopped
    ports:
      - "8080:8080"

volumes:
  mysql_data:
